extends Node2D

@onready var cyber : Sprite2D = get_node("Cyber")
@export var jump_speed : float = 0.0
@export var gravity : float = 0.0
var vel = 0

func _process(delta):
	cyber.position.y += vel * delta
	vel += gravity * delta
	if cyber.position.y > 656:
		cyber.position.y = 656
		vel = 0

func _input(event):
	if event.is_action_pressed("jump"):
		vel = -jump_speed
